javax.swing.event

## Interface MenuListener

- All Superinterfaces:
    EventListener

      public interface MenuListener
      extends EventListener

  Defines a listener for menu events.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `menuCanceled(MenuEvent e)` Invoked when the menu is canceled.
    `void` | `menuDeselected(MenuEvent e)` Invoked when the menu is deselected.
    `void` | `menuSelected(MenuEvent e)` Invoked when a menu is selected.

- - ### Method Detail

    - #### menuSelected

          void menuSelected(MenuEvent e)

      Invoked when a menu is selected.
      Parameters:
        `e` - a MenuEvent object

    - #### menuDeselected

          void menuDeselected(MenuEvent e)

      Invoked when the menu is deselected.
      Parameters:
        `e` - a MenuEvent object

    - #### menuCanceled

          void menuCanceled(MenuEvent e)

      Invoked when the menu is canceled.
      Parameters:
        `e` - a MenuEvent object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.